### Method

# Meta ShadowFactory set_params

#### Declaration [src]

    void
    meta_shadow_factory_set_params (
      MetaShadowFactory* factory,
      const char* class_name,
      gboolean focused,
      MetaShadowParams* params
    )

#### Description [src]

Updates the shadow parameters for a particular class of shadows for either the focused or unfocused state. If the class name does not name an existing class, a new class will be created (the other focus state for that class will have default values assigned to it.).

#### Parameters

`class_name`

  Type: `const char*`

  Name of the class of shadow to set the params for. the default shadow classes are the names of the different theme frame types (normal, dialog, modal_dialog, utility, border, menu, attached) and in addition, popup-menu and dropdown-menu.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`focused`

  Type: `gboolean`

  Whether the shadow is for a focused window.

`params`

  Type: `MetaShadowParams`

  New parameter values.

  The data is owned by the caller of the method.